return {
	"edolphin-ydf/goimpl.nvim",
	dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-lua/popup.nvim",
		"nvim-telescope/telescope.nvim",
		"nvim-treesitter/nvim-treesitter",
	},
	config = function()
		require("telescope").load_extension("goimpl")
	end,
	keys = {
		{
			"<leader>im",
			function()
				require("telescope").extensions.goimpl.goimpl({})
			end,
			desc = "Generate stub for interface on a type for golang",
		},
	},
}
